"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function action(actionCreator, action) {
    var _a;
    return _a = {},
        _a[actionCreator.type] = action,
        _a;
}
exports.action = action;
function actionToMutation(actionCreator) {
    var _a;
    return _a = {},
        _a[actionCreator.type] = function (context, action) {
            context.commit(action);
        },
        _a;
}
exports.actionToMutation = actionToMutation;
function actionsToMutations() {
    var actionCreators = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        actionCreators[_i] = arguments[_i];
    }
    return actionCreators.reduce(function (res, v) { return Object.assign(res, actionToMutation(v)); }, {});
}
exports.actionsToMutations = actionsToMutations;
function mutation(actionCreator, mutation) {
    var _a;
    return _a = {},
        _a[actionCreator.type] = mutation,
        _a;
}
exports.mutation = mutation;
function combineAction() {
    var actions = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        actions[_i] = arguments[_i];
    }
    return actions.reduce(function (res, v) { return Object.assign(res, v); }, {});
}
exports.combineAction = combineAction;
function combineMutation() {
    var mutations = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        mutations[_i] = arguments[_i];
    }
    return mutations.reduce(function (res, v) { return Object.assign(res, v); }, {});
}
exports.combineMutation = combineMutation;
