"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function actionCreator(type) {
    return Object.assign(function (payload, options) {
        return {
            type: options && options.namespace ? options.namespace + "/" + type : type,
            payload: payload,
            error: options && options.error,
            meta: options && options.meta,
        };
    }, {
        type: type,
    });
}
exports.actionCreator = actionCreator;
